org.apache.fop.util.bitmap

## Class DefaultMonochromeBitmapConverter

- java.lang.Object
- - org.apache.fop.util.bitmap.DefaultMonochromeBitmapConverter

All Implemented Interfaces:
  MonochromeBitmapConverter

    public class DefaultMonochromeBitmapConverter
    extends Object
    implements MonochromeBitmapConverter

Default implementation of the MonochromeBitmapConverter which uses the Java Class Library to convert grayscale bitmaps to monochrome bitmaps.

### Constructor Summary

Constructors
Constructor and Description
`DefaultMonochromeBitmapConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RenderedImage` `convertToMonochrome(BufferedImage img)` Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.
`void` `setHint(String name, String value)` Sets a hint to the implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultMonochromeBitmapConverter

    public DefaultMonochromeBitmapConverter()

### Method Detail

#### setHint

    public void setHint(String name,
                        String value)

Sets a hint to the implementation

Specified by:
  `setHint` in interface `MonochromeBitmapConverter`
Parameters:
  `name` - the name of the hint
  `value` - the value

#### convertToMonochrome

    public RenderedImage convertToMonochrome(BufferedImage img)

Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.

Specified by:
  `convertToMonochrome` in interface `MonochromeBitmapConverter`
Parameters:
  `img` - the original image
Returns:
  the converted monochrome image